# OpalUDPMediaStream Class Reference

`#include <mediastrm.h>`

Inheritance diagram for OpalUDPMediaStream:

[legend]
Collaboration diagram for OpalUDPMediaStream:
[legend]

## Public Member Functions

| ~OpalUDPMediaStream ()
Construction
| OpalUDPMediaStream (OpalConnection &conn, const OpalMediaFormat &mediaFormat, unsigned sessionID, bool isSource, OpalTransportUDP &transport)
Overrides of OpalMediaStream class
virtual PBoolean | ReadPacket (RTP_DataFrame &packet)
virtual PBoolean | WritePacket (RTP_DataFrame &packet)
virtual PBoolean | IsSynchronous () const

## Detailed Description

Media stream that uses UDP.

## Constructor & Destructor Documentation

OpalUDPMediaStream::OpalUDPMediaStream | ( | OpalConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | bool | isSource,
|  | OpalTransportUDP & | transport |
| ) |  |  |

Construct a new media stream for channel.

Parameters:

  conn | Connection that owns the stream
  mediaFormat | Media format for stream
  sessionID | Session number for stream
  isSource | Is a source stream
  transport | UDP transport instance

OpalUDPMediaStream::~OpalUDPMediaStream | ( |  | ) |

## Member Function Documentation

virtual PBoolean OpalUDPMediaStream::IsSynchronous | ( |  | ) | const`[virtual]`

Indicate if the media stream is synchronous. Returns false.

Implements OpalMediaStream.

virtual PBoolean OpalUDPMediaStream::ReadPacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Read an RTP frame of data from the source media stream. The new behaviour simply calls OpalTransportUDP::ReadPDU().

Reimplemented from OpalMediaStream.

virtual PBoolean OpalUDPMediaStream::WritePacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Write an RTP frame of data to the sink media stream. The new behaviour simply calls OpalTransportUDP::Write().

Reimplemented from OpalMediaStream.

The documentation for this class was generated from the following file:

- mediastrm.h